
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare.evaluation package &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="nl2declare.lingproc package" href="nl2declare.lingproc.html" />
    <link rel="prev" title="nl2declare.constructs package" href="nl2declare.constructs.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare-evaluation-package">
<h1>nl2declare.evaluation package<a class="headerlink" href="#nl2declare-evaluation-package" title="Permalink to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this heading">¶</a></h2>
</section>
<section id="module-nl2declare.evaluation.evaluator">
<span id="nl2declare-evaluation-evaluator-module"></span><h2>nl2declare.evaluation.evaluator module<a class="headerlink" href="#module-nl2declare.evaluation.evaluator" title="Permalink to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="nl2declare.evaluation.evaluator.Evaluator">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">nl2declare.evaluation.evaluator.</span></span><span class="sig-name descname"><span class="pre">Evaluator</span></span><a class="reference internal" href="_modules/nl2declare/evaluation/evaluator.html#Evaluator"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.evaluation.evaluator.Evaluator" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.evaluation.evaluator.Evaluator.equal_actions">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">equal_actions</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">action1</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.action.Action" title="nl2declare.constructs.action.Action"><span class="pre">Action</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">action2</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.action.Action" title="nl2declare.constructs.action.Action"><span class="pre">Action</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">bool</span></span></span><a class="reference internal" href="_modules/nl2declare/evaluation/evaluator.html#Evaluator.equal_actions"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.evaluation.evaluator.Evaluator.equal_actions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.evaluation.evaluator.Evaluator.evaluate_case">
<span class="sig-name descname"><span class="pre">evaluate_case</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">generated</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_model.DeclareModel" title="nl2declare.constructs.declare_model.DeclareModel"><span class="pre">DeclareModel</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">gs</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_model.DeclareModel" title="nl2declare.constructs.declare_model.DeclareModel"><span class="pre">DeclareModel</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">float</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">float</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint" title="nl2declare.constructs.declare_constraint.DeclareConstraint"><span class="pre">DeclareConstraint</span></a><span class="p"><span class="pre">,</span></span><span class="w"> </span><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint" title="nl2declare.constructs.declare_constraint.DeclareConstraint"><span class="pre">DeclareConstraint</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/nl2declare/evaluation/evaluator.html#Evaluator.evaluate_case"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.evaluation.evaluator.Evaluator.evaluate_case" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.evaluation.evaluator.Evaluator.greedy_matching">
<span class="sig-name descname"><span class="pre">greedy_matching</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">gen_model</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_model.DeclareModel" title="nl2declare.constructs.declare_model.DeclareModel"><span class="pre">DeclareModel</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">gs_model</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_model.DeclareModel" title="nl2declare.constructs.declare_model.DeclareModel"><span class="pre">DeclareModel</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint" title="nl2declare.constructs.declare_constraint.DeclareConstraint"><span class="pre">DeclareConstraint</span></a><span class="p"><span class="pre">,</span></span><span class="w"> </span><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint" title="nl2declare.constructs.declare_constraint.DeclareConstraint"><span class="pre">DeclareConstraint</span></a><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/nl2declare/evaluation/evaluator.html#Evaluator.greedy_matching"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.evaluation.evaluator.Evaluator.greedy_matching" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.evaluation.evaluator.Evaluator.print_collection_results">
<span class="sig-name descname"><span class="pre">print_collection_results</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">col</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">int</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">None</span></span></span><a class="reference internal" href="_modules/nl2declare/evaluation/evaluator.html#Evaluator.print_collection_results"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.evaluation.evaluator.Evaluator.print_collection_results" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.evaluation.evaluator.Evaluator.print_overall_results">
<span class="sig-name descname"><span class="pre">print_overall_results</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">None</span></span></span><a class="reference internal" href="_modules/nl2declare/evaluation/evaluator.html#Evaluator.print_overall_results"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.evaluation.evaluator.Evaluator.print_overall_results" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="nl2declare.evaluation.evaluator.Evaluator.quantify_match">
<span class="sig-name descname"><span class="pre">quantify_match</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">con1</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint" title="nl2declare.constructs.declare_constraint.DeclareConstraint"><span class="pre">DeclareConstraint</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">con2</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint" title="nl2declare.constructs.declare_constraint.DeclareConstraint"><span class="pre">DeclareConstraint</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">int</span></span></span><a class="reference internal" href="_modules/nl2declare/evaluation/evaluator.html#Evaluator.quantify_match"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.evaluation.evaluator.Evaluator.quantify_match" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-nl2declare.evaluation">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-nl2declare.evaluation" title="Permalink to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">nl2declare</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="nl2declare.html">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">nl2declare</a><ul>
  <li><a href="nl2declare.html">nl2declare package</a><ul>
      <li>Previous: <a href="nl2declare.constructs.html" title="previous chapter">nl2declare.constructs package</a></li>
      <li>Next: <a href="nl2declare.lingproc.html" title="next chapter">nl2declare.lingproc package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/nl2declare.evaluation.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>